Registered Clients
Get Registered client
Get information about the Registered client of specified identifier.
GET
/
admin
/
api
/
v1
/
SubClient
/
{id}
Get Registered client
curl --request GET \
--url https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"content": {
"id": "ecf974a3-c757-4db8-bddd-e9caad69fb4d",
"logoUrl": "https://file-cdn.meshconnect.com/public/clients/logo/oauth/registered/116a43e7-ddc9-4c61-b819-08ddd687d1d5f2fc96ed-cf41-454f-80c7-66520f5d047d.png",
"businessLegalName": "Client 1 Business Legal Name",
"displayName": "Client 1 Display Name",
"callbackUrls": [
"https://your-website1.com",
"https://your-website2.com"
],
"catalogConfiguration": null
},
"status": "ok",
"message": "",
"errorHash": "51d01c67",
"teamCode": "P4",
"errorType": ""
}{
"statusCode": 401
}{
"status": "permissionDenied",
"message": "Error message",
"displayMessage": "Optional display message",
"errorHash": "cd59bd31",
"teamCode": "P4",
"errorType": "missingField"
}Authorizations
Response
Get registered client
Was this page helpful?
⌘I
Get Registered client
curl --request GET \
--url https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"content": {
"id": "ecf974a3-c757-4db8-bddd-e9caad69fb4d",
"logoUrl": "https://file-cdn.meshconnect.com/public/clients/logo/oauth/registered/116a43e7-ddc9-4c61-b819-08ddd687d1d5f2fc96ed-cf41-454f-80c7-66520f5d047d.png",
"businessLegalName": "Client 1 Business Legal Name",
"displayName": "Client 1 Display Name",
"callbackUrls": [
"https://your-website1.com",
"https://your-website2.com"
],
"catalogConfiguration": null
},
"status": "ok",
"message": "",
"errorHash": "51d01c67",
"teamCode": "P4",
"errorType": ""
}{
"statusCode": 401
}{
"status": "permissionDenied",
"message": "Error message",
"displayMessage": "Optional display message",
"errorHash": "cd59bd31",
"teamCode": "P4",
"errorType": "missingField"
}